# RakNet::Lobby2Server_PGSQL Class Reference

PostgreSQL specific functionality to the lobby server. More...

`#include <Lobby2Server_PGSQL.h>`

Inheritance diagram for RakNet::Lobby2Server_PGSQL:

List of all members.

## Public Member Functions

virtual bool | ConnectToDB (const char *conninfo, int numWorkerThreads)
virtual void | AddInputFromThread (Lobby2Message *msg, unsigned int targetUserId, RakNet::RakString targetUserHandle)
| Add input to the worker threads, from a thread already running.
virtual void | AddOutputFromThread (Lobby2Message *msg, unsigned int targetUserId, RakNet::RakString targetUserHandle)
| Add output from the worker threads, from a thread already running. This is in addition to the current message, so is used for notifications.

## Detailed Description

PostgreSQL specific functionality to the lobby server.

## Member Function Documentation

bool Lobby2Server_PGSQL::ConnectToDB | ( | const char * | conninfo,
|  | int | numWorkerThreads |
| ) |  |  | `[virtual]`

ConnectTo to the database numWorkerThreads times using the connection string

Parameters:

  `[in]` | conninfo | See the postgre docs

Returns:
  True on success, false on failure.

Implements RakNet::Lobby2Server.

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby2/PGSQL/Lobby2Server_PGSQL.h
- C:/RakNet/DependentExtensions/Lobby2/PGSQL/Lobby2Server_PGSQL.cpp